Bug 910565 - Review Request: python-github - A Python library implementing the full Github API v3.
Summary: Review Request: python-github - A Python library implementing the full Github...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Richard Marko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-12 21:06 UTC by Jiri Moskovcak
Modified: 2016-02-01 02:22 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-03 13:17:15 UTC
Type: ---
Embargoed:
rmarko: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jiri Moskovcak 2013-02-12 21:06:14 UTC
Spec URL: http://jmoskovc.fedorapeople.org/python-github.spec
SRPM URL: http://jmoskovc.fedorapeople.org/python-github-1.11.1-1.fc18.src.rpm
Description: A Python library implementing the full Github API v3.
Fedora Account System Username: jmoskovc

Comment 1 Richard Marko 2013-02-12 22:50:24 UTC
* Doesn't build in mock due to missing python-setuptools BuildReqs
* python-sitelib macro definition is not necessary
* rpmlint complains about 
  * python-github.src:12: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 12)
  * python-github.noarch: W: incoherent-version-in-changelog 1.10.0-1 ['1.11.1-1.fc18', '1.11.1-1']


Please fix these minor issues.

Comment 2 Jiri Moskovcak 2013-02-13 08:03:38 UTC
- fixed & updated the files referenced in c#1
- btw it also complains about missing docs, but they are there:  /usr/lib/python2.7/site-packages/github/doc/

Comment 3 Richard Marko 2013-02-15 13:52:29 UTC
> - fixed & updated the files referenced in c#1

Thanks.

> - btw it also complains about missing docs, but they are there: 
> /usr/lib/python2.7/site-packages/github/doc/

It's possible to move them to proper location with

...

%build
%{__python} setup.py build
mv build/lib/github/doc/ .

...

%files
%defattr(-,root,root,-)
# For noarch packages: sitelib
%doc doc
%{python_sitelib}/*


Problem is that there's no copy of the license in the release tarball. It's included in the setup.py file but missing from the tarball generated with python setup.py sdist.

Comment 4 Toshio Ernie Kuratomi 2013-02-19 18:55:01 UTC
I started packaging this last night before finding this.  Some comments from that attempt:

* Package appears to be LGPLv3+, not GPLv2+  (see the comment headers of the source files, for instance GitObject.py)
* License files and other docs are in the github directory and should be moved out to %doc.  As Richard Marko points out, you can do this with mv.  But there's more than just the github/doc directory:  COPYING, COPYING.LESSER, and ReadMe.md
* Need to run the tests during the build:

  %check 
  %{__python} setup.py test

* Should exclude the tests from the binary package (I grepped for tests and import in the source to determine that they weren't needed at runtime):

  %files
  [...]
  %exclude %{python_sitelib}/github/tests

Comment 6 Richard Marko 2013-02-21 14:00:17 UTC
(In reply to comment #5)
> Fixed version according to c#3 && c#4
> 
> http://jmoskovc.fedorapeople.org/python-github.spec
> http://jmoskovc.fedorapeople.org/python-github-1.11.1-2.fc18.src.rpm

* Package name correct
* Packaging latest version
* License ok and good for fedora
* SPEC file clean and legible
* Builds fine in mock
* Sane filelist
* Sane reqs/provs

=> Package approved.

Few minor issue that should be fixed:

[!]: Package contains BR: python2-devel or python3-devel
See: http://fedoraproject.org/wiki/Packaging:Python#BuildRequires

%install: rm -rf %{buildroot} present but not required
%clean: rm -rf %{buildroot} present but not required

Comment 7 Jiri Moskovcak 2013-03-08 12:51:25 UTC
New Package SCM Request
=======================
Package Name: python-github
Short Description: A Python library implementing the full Github API v3
Owners: jmoskovc
Branches: f17 f18
InitialCC:

Comment 8 Gwyn Ciesla 2013-03-08 13:14:22 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.